The aRts Handbook
Prev | Chapter 2. aRts Tools | Next

# 2.9. artsc-config

This is a utility to assist developers using the aRts C API. It outputs the appropriate compiler and linker options needed when compiling and linking code with aRts. It is intended to be used within make files to assist in portability. The command accepts three options:

`--cflags`

  Displays the compiler flags needed when compiling with the aRts C API.

`--libs`

  Displays the linker flags needed when linking with the aRts C API.

--version

  Displays the version of the artsc-config command.

Typical output from the command is shown below:

     % artsc-config --cflags
     -I/usr/local/kde2/include/artsc
     % artsc-config --libs
     -L/usr/local/kde2/lib -ldl -lartsc -DPIC -fPIC -lpthread
     % artsc-config --version
     0.9.5

You could use this utility in a make file using a rule such as:

       1 artsc: artsc.c
       2         gcc `artsc-config --cflags` -o artsc artsc.c `artsc-config --libs`

Prev | Home | Next
artscontrol | Up | mcopidl